ACL (Template)
14 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| exportOsgCustomAclTemplate | GET | Export gateway custom ACL template rules |
| deleteAclTemplate | DELETE | Delete Gateway/AP ACL template |
| getEapAclListTemplate | GET | Get eap ACL template list |
| createEapAclTemplate | POST | Create new eap template ACL |
| modifyEapAclTemplate | PUT | Modify an EAP template ACL |
| modifyAclIndexTemplate | POST | Modify ACL template Index |
| getOsgAclListTemplate | GET | Get gateway ACL template list |
| createOsgAclTemplate | POST | Create new gateway template ACL |
| modifyOsgAclTemplate | PUT | Modify a gateway template ACL |
| getAclConfigTypeSettingTemplate | GET | Get gateway ACL config mode template |
| modifyAclConfigTypeSettingTemplate | PUT | Modify gateway ACL config template mode |
| getOsgCustomAclListTemplate | GET | Get osg custom ACL template |
| updateOsgCustomAclsTemplate | PATCH | Update osg custom ACL templates |
| modifyOsgCustomAclIndexTemplate | POST | Modify gateway custom ACL template index |
exportOsgCustomAclTemplate
GET /openapi/v1/{omadacId}/files/sitetemplates/{siteTemplateId}/acls/export
Export gateway custom ACL template rules
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
// omada_call_operation
{
"operationId": "exportOsgCustomAclTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Export gateway custom ACL template rules
The interface requires one of the permissions:
Global Site Template Manager View Only
deleteAclTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/{aclId}
Delete Gateway/AP ACL template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
aclId | path | string | yes | ACL ID |
// omada_call_operation
{
"operationId": "deleteAclTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"aclId": "<aclId>"
}
}Details, permissions and error codes
Delete Gateway/AP ACL template.
The interface requires one of the permissions:
Global Site Template Manager Modify
getEapAclListTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/eap-acls
Get eap ACL template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getEapAclListTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get eap ACL template list.
The interface requires one of the permissions:
Global Site Template Manager View Only
createEapAclTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/eap-acls
Create new eap template ACL
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema EapACLConfig
| Field | Type | Required | Description |
|---|---|---|---|
description | string | yes | ACL rule description, description should contain 1 to 512 characters. |
status | boolean | yes | Status should be a value as follows: 0: disable; 1: enable |
policy | integer | yes | Policy should be a value as follows: 0: drop; 1: allow; |
protocols | array<integer> | yes | For the values of protocols, refer to section 5.5 of the Open API Access Guide. |
sourceIds | array<string> | yes | Source IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
destinationIds | array<string> | no | Source IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
sourceType | integer | yes | SourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group |
destinationType | integer | yes | DestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group |
// omada_call_operation
{
"operationId": "createEapAclTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new eap template ACL.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyEapAclTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/eap-acls/{aclId}
Modify an EAP template ACL
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
aclId | path | string | yes | ACL ID |
Request body — application/json (required) — schema EapACLConfig
| Field | Type | Required | Description |
|---|---|---|---|
description | string | yes | ACL rule description, description should contain 1 to 512 characters. |
status | boolean | yes | Status should be a value as follows: 0: disable; 1: enable |
policy | integer | yes | Policy should be a value as follows: 0: drop; 1: allow; |
protocols | array<integer> | yes | For the values of protocols, refer to section 5.5 of the Open API Access Guide. |
sourceIds | array<string> | yes | Source IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
destinationIds | array<string> | no | Source IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
sourceType | integer | yes | SourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group |
destinationType | integer | yes | DestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group |
// omada_call_operation
{
"operationId": "modifyEapAclTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"aclId": "<aclId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an EAP template ACL.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyAclIndexTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/modifyIndex
Modify ACL template Index
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema DragSortIndexTemplateOpenapiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | "gateway" or "eap" |
indexes | object | yes | The order in which items take effect, this object is a Map, the key is item ID and the value is the index you want to set. |
// omada_call_operation
{
"operationId": "modifyAclIndexTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify ACL template Index.
The interface requires one of the permissions:
Global Site Template Manager Modify
getOsgAclListTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-acls
Get gateway ACL template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getOsgAclListTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get gateway ACL template list.
The interface requires one of the permissions:
Global Site Template Manager View Only
createOsgAclTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-acls
Create new gateway template ACL
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema GatewayACLConfig
| Field | Type | Required | Description |
|---|---|---|---|
description | string | yes | ACL rule description, description should contain 1 to 512 characters. |
status | boolean | yes | Status should be a value as follows: 0: disable; 1: enable |
policy | integer | yes | Policy should be a value as follows: 0: drop; 1: allow; |
protocols | array<integer> | yes | For the values of protocols, refer to section 5.5 of the Open API Access Guide. |
sourceIds | array<string> | yes | Source IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
destinationIds | array<string> | no | Source IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
syslog | boolean | yes | Enable remote log |
sourceType | integer | yes | SourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group; 8: Country; 9: Country Group; 11: !Network; 12: !IP Group; 13: !IP-Port Group; 14: !IPv6 Group; 15: !IPv6-port Group |
destinationType | integer | yes | DestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group;10: Domain Group; 11: !Network; 12: !IP Group;13: !IP-Port Group;14: !IPv6 Group;15: !IPv6-port Group |
direction | Gateway direction entity | yes | (Gateway direction entity not expanded; call omada_get_schema "Gateway direction entity") |
stateMode | integer | yes | StateMode should be a value as follows: 0: auto; 1: manual |
states | Gateway ACL states entity | no | (Gateway ACL states entity not expanded; call omada_get_schema "Gateway ACL states entity") |
timeRangeId | string | no | Gateway ACL time range ID. |
// omada_call_operation
{
"operationId": "createOsgAclTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new gateway template ACL.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyOsgAclTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-acls/{aclId}
Modify a gateway template ACL
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
aclId | path | string | yes | ACL ID |
Request body — application/json (required) — schema GatewayACLConfig
| Field | Type | Required | Description |
|---|---|---|---|
description | string | yes | ACL rule description, description should contain 1 to 512 characters. |
status | boolean | yes | Status should be a value as follows: 0: disable; 1: enable |
policy | integer | yes | Policy should be a value as follows: 0: drop; 1: allow; |
protocols | array<integer> | yes | For the values of protocols, refer to section 5.5 of the Open API Access Guide. |
sourceIds | array<string> | yes | Source IDs, which depends on sourceType, for example: if sourceType is network, sourceIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
destinationIds | array<string> | no | Source IDs, which depends on destinationType, for example: if destinationType is network, destinationIds should be LAN network ID. LAN Network can be created using 'Create LAN network' interface, and LAN Network ID can be obtained from 'Get LAN network list' interface. |
syslog | boolean | yes | Enable remote log |
sourceType | integer | yes | SourceType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 4: SSID; 6: IPv6 Group; 7: IPv6-Port Group; 8: Country; 9: Country Group; 11: !Network; 12: !IP Group; 13: !IP-Port Group; 14: !IPv6 Group; 15: !IPv6-port Group |
destinationType | integer | yes | DestinationType should be a value as follows: 0: network; 1: IP Group; 2: IP-Port Group; 6: IPv6 Group; 7: IPv6-Port Group;10: Domain Group; 11: !Network; 12: !IP Group;13: !IP-Port Group;14: !IPv6 Group;15: !IPv6-port Group |
direction | Gateway direction entity | yes | (Gateway direction entity not expanded; call omada_get_schema "Gateway direction entity") |
stateMode | integer | yes | StateMode should be a value as follows: 0: auto; 1: manual |
states | Gateway ACL states entity | no | (Gateway ACL states entity not expanded; call omada_get_schema "Gateway ACL states entity") |
timeRangeId | string | no | Gateway ACL time range ID. |
// omada_call_operation
{
"operationId": "modifyOsgAclTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"aclId": "<aclId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a gateway template ACL.
The interface requires one of the permissions:
Global Site Template Manager Modify
getAclConfigTypeSettingTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-config-mode
Get gateway ACL config mode template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
// omada_call_operation
{
"operationId": "getAclConfigTypeSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get gateway ACL config mode template
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyAclConfigTypeSettingTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-config-mode
Modify gateway ACL config template mode
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema Gateway ACL config mode entity
| Field | Type | Required | Description |
|---|---|---|---|
mode | integer | yes | Gateway acl config mode should be a value as follows: 0: Through profiles; 1: Custom |
// omada_call_operation
{
"operationId": "modifyAclConfigTypeSettingTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway ACL config template mode
The interface requires one of the permissions:
Global Site Template Manager Modify
getOsgCustomAclListTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-custom-acls
Get osg custom ACL template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getOsgCustomAclListTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get osg custom ACL template.
The interface requires one of the permissions:
Global Site Template Manager View Only
updateOsgCustomAclsTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-custom-acls
Update osg custom ACL templates
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema Gateway Custom ACL update entity
| Field | Type | Required | Description |
|---|---|---|---|
adds | array<GatewayCustomACLAddEntity> | no | Added Custom ACLs. |
deletes | array<string> | no | Deleted Custom ACLs. |
modifies | array<Gateway Custom ACL modify entity> | no | Modified Custom ACLs. |
// omada_call_operation
{
"operationId": "updateOsgCustomAclsTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Update osg custom ACL templates.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyOsgCustomAclIndexTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/acls/osg-custom-acls/modifyIndex
Modify gateway custom ACL template index
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema DragSortIndexOpenapiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | string | yes | "gateway" or "switch" or "eap" |
indexes | object | yes | The order in which items take effect, this object is a Map, the key is item ID and the value is the index you want to set. |
// omada_call_operation
{
"operationId": "modifyOsgCustomAclIndexTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify gateway custom ACL template index
The interface requires one of the permissions:
Global Site Template Manager Modify